# Generated by Django 3.1.7 on 2021-10-19 13:57

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('main', '0010_auto_20211018_1652'),
    ]

    operations = [
        migrations.CreateModel(
            name='Estado',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('uf', models.CharField(blank=True, max_length=2, null=True)),
                ('nome', models.CharField(blank=True, max_length=50, null=True)),
            ],
            options={
                'ordering': ('nome',),
            },
        ),
        migrations.CreateModel(
            name='Municipio',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nome', models.CharField(blank=True, max_length=150, null=True)),
                ('latitude', models.DecimalField(blank=True, decimal_places=5, max_digits=7, null=True)),
                ('longitude', models.DecimalField(blank=True, decimal_places=5, max_digits=8, null=True)),
                ('capital', models.BooleanField(blank=True, null=True)),
                ('estado', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='main.estado')),
            ],
            options={
                'ordering': ('nome',),
            },
        ),
    ]
